Category: Other Estimated time: 0.00 hour

Target version: UnSprintable   

Infrastructure: Development   

Description

The "mpa" database schema should be endowed with PostGis functions on geoserver-dev4.d4science.org. 

I have tried to install them but the Postgres installation I found on the machine is non-standard. There is a DB schema (aquamapsdb)

that is PostGis-enabled, but PostGis does not seem to be installed on the machine. Perhaps, aquamapsdb was enabled with PostGis

using another machine to run the SQL scripts that add the PostGis functions.

Could you please enable mpa with PostGis?

History

#1 - Jul 07, 2016 07:23 PM - Andrea Dell'Amico

- Tracker changed from Support to Task

- % Done changed from 0 to 80

Wow, Ubuntu 9.04 and postgres 8.3. The postgis packages are installed, but the extensions need to be installed on each database.

I know how to install the postgis extensions on a modern postgres, but the old procedures are different. I install the provided sql files on the mpa DB, I

don't know if it is sufficient.

@fabio.sinibaldi@isti.cnr.it are you able to verify if something else is needed? I did the following, as postgres user:

 psql mpa < /usr/share/postgresql-8.3-postgis/lwpostgis.sql

 psql mpa < /usr/share/postgresql-8.3-postgis/lwpostgis_upgrade.sql

 psql mpa < /usr/share/postgresql-8.3-postgis/spatial_ref_sys.sql

#2 - Jul 08, 2016 12:35 PM - Fabio Sinibaldi

Sorry, I can't do it. But why use this old machine? We are going to dismiss it as soon as we migrate GeoServer and GeoNetwork version, so it would

be better if new application don't rely on it. Is it possible to move the "mpa" DB on another updated instance of Postgres/postgis?

#3 - Jul 08, 2016 01:15 PM - Andrea Dell'Amico

It should be much better, yes.

I assumed that the old version was needed because of some kind of compatibility problem: when we tried to import the old geoserver db data to a

more modern postgresql version we failed, but maybe there's a procedure to upgrade the postgis part that I didn't know about.

#4 - Jul 08, 2016 02:38 PM - Gianpaolo Coro

- Status changed from New to Closed

- % Done changed from 80 to 100

The mpa DB works for our scopes with the installation of Andrea. I close this ticket and maybe you can open another one to understand the updates.

#5 - Sep 05, 2016 12:26 PM - Massimiliano Assante

- Parent task deleted (#4211)
